MessagesPropertiesUnitTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class MessagesPropertiesUnitTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.UnitTestBase
        - - net.sourceforge.jtds.jdbc.MessagesPropertiesUnitTest

-     public class MessagesPropertiesUnitTest
      extends UnitTestBase

  Unit tests for the `Messages.properties` file.
  Version:
    $Id: MessagesPropertiesUnitTest.java,v 1.3 2005-09-23 21:44:08 ddkilzer Exp $
  Author:
    David D. Kilzer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessagesPropertiesUnitTest.TestDescriptionHasProperty` Tests that a given description key has a matching property key in `Messages.properties`.
    `static class` | `MessagesPropertiesUnitTest.TestPropertyHasDescription` Tests that a given property key has a matching description key in `Messages.properties`.

  - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagesPropertiesUnitTest(java.lang.String name)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Test` | `suite()` Construct a test suite for this class.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.UnitTestBase

      `assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagesPropertiesUnitTest

          public MessagesPropertiesUnitTest(java.lang.String name)

      Constructor.
      Parameters:
        `name` - The name of the test.

  - ### Method Detail

    - #### suite

          public static Test suite()

      Construct a test suite for this class.
      Returns:
        The test suite to run.

Generated on June 8 2013